[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Asterisk - attached patch needed to enable build in Rawhide



On Tue, Sep 8, 2009 at 8:04 AM, Benny Amorsen<benny+usenet amorsen dk> wrote:
>
> Patch1:  0001-Modify-init-scripts-for-better-Fedora-compatibility.patch
> Patch2:  0002-Modify-modules.conf-so-that-different-voicemail-modu.patch
> Patch5:  0005-Build-using-external-libedit.patch
> Patch6:  0006-Revert-changes-to-pbx_lua-from-rev-126363-that-cause.patch
> Patch8:  0008-change-configure.ac-to-look-for-pkg-config-gmime-2.4.patch
> Patch10: 0010-my-guess-as-replacements-for-the-missing-broken-stuf.patch
> Patch11: 0011-Fix-up-some-paths.patch
> Patch12: 0012-Add-LDAP-schema-that-is-compatible-with-Fedora-Direc.patch

Heh, see the latest builds in F-11/rawhide.  The rawhide packages
should be on the mirrors now, the F-11 build should be showing up
shortly. I basically did the same thing as you.

> I have changed some of the patches a little compared to the 1.6.1rc1
> versions, just to make them apply.

Yeah, fortunately it was less work than I thought.  I've really grown
to depend on git's merging/rebasing/cherry-picking abilities.
Hopefully my git mirror of the asterisk svn will finish rebuilding
soon.  Digium may also be putting up a semi-official git mirror as
well.

> I have removed chan_mobile; if upstream prefers it to be in
> asterisk-addons, it seems a bit futile to keep trying to patch it in.

Yeah, I don't know what I was thinking when I added it in.

> I should probably drop Patch 6; if upstream hasn't dropped it in 6
> months then it's probably something we have to live with. Not that I use
> Lua.
>
> Patches 2, 5, 8, and 12 ought to go upstream...

Yeah, it's a matter of time/energy.  Plus a couple of them really need
some polishing before they would even be considered.

-- 
Jeff Ollie


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]